MPD: Tag::const_iterator Class Reference

MPD 0.20.15

Public Member Functions | Friends
Tag::const_iterator Class Reference

`#include <Tag.hxx>`

## Public Member Functions
constexpr const TagItem & | operator* () const
constexpr const TagItem * | operator-> () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
constexpr bool | operator== (const_iterator other) const
constexpr bool | operator!= (const_iterator other) const

## Friends
struct | Tag

## Detailed Description

Definition at line 145 of file Tag.hxx.

## Member Function Documentation

## ◆ operator!=()

constexpr bool Tag::const_iterator::operator!= | ( | const_iterator | other | ) | const
| inline

Definition at line 185 of file Tag.hxx.

## ◆ operator*()

constexpr const TagItem& Tag::const_iterator::operator* | ( |  | ) | const
| inline

Definition at line 153 of file Tag.hxx.

## ◆ operator++() [1/2]

const_iterator& Tag::const_iterator::operator++ | ( |  | ) |
| inline

Definition at line 161 of file Tag.hxx.

## ◆ operator++() [2/2]

const_iterator Tag::const_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 166 of file Tag.hxx.

## ◆ operator--() [1/2]

const_iterator& Tag::const_iterator::operator-- | ( |  | ) |
| inline

Definition at line 171 of file Tag.hxx.

## ◆ operator--() [2/2]

const_iterator Tag::const_iterator::operator-- | ( | int |  | ) |
| inline

Definition at line 176 of file Tag.hxx.

## ◆ operator->()

constexpr const TagItem* Tag::const_iterator::operator-> | ( |  | ) | const
| inline

Definition at line 157 of file Tag.hxx.

## ◆ operator==()

constexpr bool Tag::const_iterator::operator== | ( | const_iterator | other | ) | const
| inline

Definition at line 181 of file Tag.hxx.

## Friends And Related Function Documentation

## ◆ Tag

friend struct Tag
| friend

Definition at line 146 of file Tag.hxx.

The documentation for this class was generated from the following file:

- tag/Tag.hxx